/*
	mtip.h - tip label
	Copyright (C) 2003  Konrad Twardowski <kdtonline@poczta.onet.pl>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MTIP_H__
#define __MTIP_H__

#include <kactivelabel.h>

/** @short Tooltip based on the @c KActiveLabel widget. */
class MTip: public KActiveLabel
{
public:

	/** Tip types. */
	enum TipType {
		/** Info tip */
		TipType_Info,
		/** Normal tip */
		TipType_Normal,
		/** Warning tip */
		TipType_Warning
	};

	/**
	 * Constructor.
	 * @param tipType Tip type
	 * @param parent Parent widget
	 * @param name Widget name
	 */
	MTip(const TipType tipType, QWidget *parent = 0, const char *name = 0);

	/** Destructor. */
	virtual ~MTip();

	/** Returns current tip name. */
	QString getTipName() const;

	/** Sets tip text to @p tipText. */
	void setTipText(const QString &tipText);

	/** Sets tip type to @p tipType. */
	void setTipType(const TipType tipType);

private:
	QString _text;
	TipType _type;
};

#endif // __MTIP_H__
